<?php
/**
 * Copyright (C) 2024  Jaap Jansma (jaap.jansma@civicoop.org)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

namespace Civi\BigBlueButton\ActionProvider;

use CRM_Bigbluebutton_ExtensionUtil as E;
use Symfony\Component\DependencyInjection\Compiler\CompilerPassInterface;
use Symfony\Component\DependencyInjection\ContainerBuilder;

class CompilerPass implements CompilerPassInterface {

  /**
   * You can modify the container here before it is dumped to PHP code.
   *
   * @return void
   */
  public function process(ContainerBuilder $container) {
    if ($container->hasDefinition('action_provider')) {
      $actionTypeFactoryDefinition = $container->getDefinition('action_provider');
      $actionTypeFactoryDefinition->addMethodCall('addAction', [
        'bigbluebutton_create',
        'Civi\BigBlueButton\ActionProvider\Create',
        E::ts('Big Blue Button: Create meeting'),
      ]);
      $actionTypeFactoryDefinition->addMethodCall('addAction', [
        'bigbluebutton_join',
        'Civi\BigBlueButton\ActionProvider\Join',
        E::ts('Big Blue Button: Get Join URL'),
      ]);
      $actionTypeFactoryDefinition->addMethodCall('addAction', [
        'bigbluebutton_getmeetinginfo',
        'Civi\BigBlueButton\ActionProvider\GetMeetingInfo',
        E::ts('Big Blue Button: Get Meeting Info'),
      ]);
    }
  }

}
