<?php
/**
 * Copyright (C) 2024  Jaap Jansma (jaap.jansma@civicoop.org)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

namespace Civi\BigBlueButton\ActionProvider;

use Civi\ActionProvider\Parameter\Specification;
use Civi\ActionProvider\Parameter\SpecificationBag;
use Civi\Api4\Action\BigBlueButton\AbstractBBBAPi;
use CRM_Bigbluebutton_ExtensionUtil as E;

class Join extends AbstractBBBAction {

  /**
   * @return \Civi\Api4\Action\BigBlueButton\AbstractBBBAPi
   */
  protected function getApi4Class(): AbstractBBBAPi {
    return new \Civi\Api4\Action\BigBlueButton\Join('BigBlueButton', 'Join');
  }

  /**
   * Returns the specification of the output parameters of this action.
   *
   * This function could be overridden by child classes.
   *
   * @return SpecificationBag
   */
  public function getOutputSpecification() {
    return new SpecificationBag([
      new Specification('join_url', 'String', E::ts('Join URL')),
    ]);
  }

}
