<?php
/**
 * Copyright (C) 2024  Jaap Jansma (jaap.jansma@civicoop.org)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

namespace Civi\BigBlueButton;

class WebhookEvent extends \Civi\Core\Event\GenericHookEvent {

  /**
   * @var String
   */
  public $event;

  /** @var String */
  public $meetingId;

  /** @var String */
  public $internalMeetingId;

  /** @var int */
  public $bbbEventLogId;

  /** @var array */
  public $data;

  public function __construct(array $eventData) {
    $this->event = $eventData['event'];
    $this->meetingId = $eventData['meeting_id'];
    $this->internalMeetingId = $eventData['internal_meeting_id'];
    $this->bbbEventLogId = $eventData['id'];
    $this->data = $eventData['event_data'];
  }

}